DictValue (OpenCV 3.4.2 Java documentation)
Date: 2019-04-14

org.opencv.dnn

## Class DictValue

- java.lang.Object
- - org.opencv.dnn.DictValue

-     public class DictValue
      extends java.lang.Object

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected long` | `nativeObj`

  - ### Constructor Summary

    Constructors
    Modifier | Constructor and Description
    --- | ---
    `` | `DictValue(double p)`
    `` | `DictValue(int i)`
    `protected` | `DictValue(long addr)`
    `` | `DictValue(java.lang.String s)`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static DictValue` | `__fromPtr__(long addr)`
    `protected void` | `finalize()`
    `int` | `getIntValue()`
    `int` | `getIntValue(int idx)`
    `long` | `getNativeObjAddr()`
    `double` | `getRealValue()`
    `double` | `getRealValue(int idx)`
    `java.lang.String` | `getStringValue()`
    `java.lang.String` | `getStringValue(int idx)`
    `boolean` | `isInt()`
    `boolean` | `isReal()`
    `boolean` | `isString()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### nativeObj

          protected final long nativeObj

  - ### Constructor Detail

    - #### DictValue

          protected DictValue(long addr)

    - #### DictValue

          public DictValue(java.lang.String s)

    - #### DictValue

          public DictValue(double p)

    - #### DictValue

          public DictValue(int i)

  - ### Method Detail

    - #### getNativeObjAddr

          public long getNativeObjAddr()

    - #### __fromPtr__

          public static DictValue __fromPtr__(long addr)

    - #### getStringValue

          public java.lang.String getStringValue(int idx)

    - #### getStringValue

          public java.lang.String getStringValue()

    - #### isInt

          public boolean isInt()

    - #### isReal

          public boolean isReal()

    - #### isString

          public boolean isString()

    - #### getRealValue

          public double getRealValue(int idx)

    - #### getRealValue

          public double getRealValue()

    - #### getIntValue

          public int getIntValue(int idx)

    - #### getIntValue

          public int getIntValue()

    - #### finalize

          protected void finalize()
                           throws java.lang.Throwable

      Overrides:
        `finalize` in class `java.lang.Object`
      Throws:
        `java.lang.Throwable`

Generated on Sun Apr 14 2019 09:17:52 MDT / OpenCV unknown